Quantcast
Download
(885 Kb)
Download
Updated: 07-21-18 10:57 AM
Pictures
File Info
Compatibility:
Battle for Azeroth (8.0.1)
Updated:07-21-18 10:57 AM
Created:unknown
Downloads:1,272,946
Favorites:2,716
MD5:
8.0.1

Outfitter  Updated less than 3 days ago!  Popular! (More than 5000 hits)

Version: 5.20.3
by: mundocani [More]

About Outfitter

Outfitter is an equipment management addon which gives you fast access to multiple outfits to optimize your abilities in PvE and PvP, automated equip and unequip for convenience doing a variety of activities, or to enhance role-playing.

Outfitter includes an icon bar for fast access to your outfits, a minimap menu for fast compact access, support for LibDataBroker, scripting with a library of pre-made scripts for most common tasks, outfits optimized for a particular stat, item comparisons across outfits, quick access to items via the character sheet, and more.

Version 5.20.3 changes

* FIXED: Prevented more custom events from being registered with the system

Version 5.20.2 changes

* FIXED: Storing outfits on the server no longer gives an error

Version 5.20.1 changes

* FIXED: Outfitter's custom event types should longer give errors about being unknown

Version 5.20 changes

* FEATURE: Updated for patch 8.0
Archived Files (119)
File Name
Version
Size
Author
Date
5.20.2
885kB
mundocani
07-20-18 09:43 AM
5.20.1
885kB
mundocani
07-19-18 03:19 PM
5.20
885kB
mundocani
07-17-18 02:35 PM
5.19.1
986kB
mundocani
09-14-17 04:53 PM
5.19
986kB
mundocani
04-13-17 02:08 PM
5.18.7
986kB
mundocani
04-01-17 11:50 AM
5.18.6
986kB
mundocani
03-30-17 01:49 PM
5.18.5
986kB
mundocani
03-29-17 04:38 PM
5.18.4
986kB
mundocani
03-28-17 07:02 PM
5.18.3
986kB
mundocani
03-11-17 06:33 PM
5.18.1
1MB
mundocani
12-22-16 03:45 PM
5.18
1MB
mundocani
12-22-16 12:04 PM
5.17.5
1MB
mundocani
11-27-16 04:51 PM
5.17.4
1MB
mundocani
11-22-16 03:31 PM
5.17.3
1MB
mundocani
11-20-16 05:40 PM
5.17.2
1MB
mundocani
11-19-16 02:26 PM
5.17.1
1MB
mundocani
11-18-16 03:59 PM
5.17
1MB
mundocani
11-18-16 01:30 PM
5.16.1
1MB
mundocani
11-12-16 07:26 PM
5.16
1MB
mundocani
11-03-16 09:10 PM
5.15.6
1MB
mundocani
10-25-16 01:23 PM
5.15.5
1MB
mundocani
09-09-16 07:10 PM
5.15.4
1MB
mundocani
09-03-16 03:21 PM
5.15.3
1MB
mundocani
08-31-16 05:40 PM
5.15.2
1MB
mundocani
08-27-16 03:34 PM
5.15.1
1MB
mundocani
08-18-16 12:38 PM
5.15
1MB
mundocani
08-14-16 06:20 PM
5.14.2
1MB
mundocani
08-04-16 07:18 PM
5.14.1
1MB
mundocani
07-31-16 02:24 PM
5.14
1MB
mundocani
07-30-16 02:34 PM
5.13
1MB
mundocani
07-21-16 02:38 PM
5.12
1MB
mundocani
07-20-16 01:59 PM
5.11
1MB
mundocani
04-02-16 01:03 PM
5.10b10
1MB
mundocani
02-27-15 03:28 PM
5.10b9
1MB
mundocani
01-19-15 02:13 PM
5.10b8
1MB
mundocani
12-07-14 01:33 PM
5.10b7
1MB
mundocani
12-06-14 06:15 PM
5.10b6
1MB
mundocani
11-02-14 06:49 PM
5.10b5
1MB
mundocani
10-27-14 06:13 PM
5.10b4
1MB
mundocani
10-26-14 01:07 PM
5.10b4
1MB
mundocani
10-25-14 07:30 PM
5.10b2
1MB
mundocani
10-20-14 03:50 PM
5.10b1
1MB
mundocani
10-16-14 06:45 PM
5.9.3
1MB
mundocani
10-05-13 02:36 PM
5.9.2
1MB
mundocani
09-13-13 03:00 PM
5.9.1
1MB
mundocani
05-22-13 05:35 PM
5.9
1MB
mundocani
05-21-13 03:29 PM
5.8.2
1MB
mundocani
02-28-13 02:47 PM
5.8.1
1MB
mundocani
02-24-13 10:54 AM
5.8
1MB
mundocani
02-16-13 03:33 PM
5.7
1006kB
mundocani
11-27-12 03:21 PM
5.6.1
1MB
mundocani
10-10-12 11:02 AM
5.6
1MB
mundocani
10-06-12 06:17 PM
5.5.2
1MB
mundocani
08-29-12 12:44 PM
5.5.1
1MB
mundocani
08-28-12 06:23 PM
5.5
1MB
mundocani
08-28-12 03:18 PM
5.4.4
1MB
mundocani
01-23-12 06:54 PM
5.4.3
734kB
mundocani
01-18-12 08:02 PM
5.4.2
734kB
mundocani
01-04-12 06:16 PM
5.4.1
734kB
mundocani
12-11-11 07:49 PM
5.4
731kB
mundocani
12-04-11 12:43 AM
5.3.6
729kB
mundocani
12-01-11 12:03 PM
5.3.5
729kB
mundocani
11-30-11 05:50 PM
5.3.4
729kB
mundocani
11-30-11 12:19 AM
5.3.3
729kB
mundocani
11-29-11 07:03 PM
5.3.2
729kB
mundocani
08-06-11 12:28 PM
5.3.1
728kB
mundocani
07-16-11 06:18 PM
5.3
728kB
mundocani
07-15-11 06:32 PM
5.2.3
723kB
mundocani
07-06-11 02:55 PM
5.2.2
723kB
mundocani
04-26-11 07:09 PM
5.2.1
723kB
mundocani
04-26-11 04:45 PM
5.2
716kB
mundocani
01-08-11 01:58 PM
5.1.2
716kB
mundocani
12-06-10 03:37 PM
5.1.1
704kB
mundocani
11-29-10 12:39 AM
5.1
713kB
mundocani
11-25-10 01:12 PM
5.0.3
594kB
mundocani
10-17-10 09:08 PM
5.0.2
594kB
mundocani
10-14-10 03:49 PM
5.0.1
585kB
mundocani
10-12-10 09:22 PM
5.0
585kB
mundocani
10-08-10 05:44 PM
5.0b9
546kB
mundocani
09-13-10 01:03 AM
5.0b8
546kB
mundocani
04-14-10 11:59 AM
5.0b7
546kB
mundocani
04-11-10 07:34 PM
5.0b6
546kB
mundocani
04-04-10 04:10 PM
5.0b5
546kB
mundocani
03-31-10 10:07 AM
5.0b4
546kB
mundocani
02-12-10 03:13 AM
5.0b3
546kB
mundocani
02-09-10 02:38 AM
5.0b2
545kB
mundocani
02-04-10 08:10 PM
5.0b1
545kB
mundocani
01-31-10 10:18 PM
4.10
541kB
mundocani
01-03-10 06:33 PM
4.9.3
540kB
mundocani
12-10-09 01:51 PM
4.9.2
540kB
mundocani
12-09-09 01:31 PM
4.9.1
540kB
mundocani
12-08-09 02:59 PM
4.9
540kB
mundocani
12-02-09 02:48 PM
4.9b8
539kB
mundocani
11-08-09 01:57 PM
4.9b7
570kB
mundocani
11-06-09 06:45 PM
4.9b6
570kB
mundocani
11-04-09 02:01 PM
4.9b5
569kB
mundocani
11-02-09 10:05 PM
4.9b4
569kB
mundocani
11-02-09 03:10 PM
4.9b3
538kB
mundocani
10-25-09 02:57 PM
4.8
544kB
mundocani
09-22-09 01:48 PM
4.8b14
543kB
mundocani
09-20-09 08:05 PM
4.8b13
543kB
mundocani
09-14-09 03:40 PM
4.8b12
543kB
mundocani
09-14-09 01:55 PM
4.8b11
543kB
mundocani
09-12-09 09:05 PM
4.8b10
542kB
mundocani
09-10-09 02:59 PM
4.8b9
541kB
mundocani
09-02-09 07:05 PM
4.8b8
540kB
mundocani
08-28-09 01:10 PM
4.8b7
540kB
mundocani
08-22-09 05:29 PM
4.8b6
540kB
mundocani
08-09-09 12:46 PM
4.7.4
481kB
mundocani
08-05-09 01:19 PM
4.7.3
478kB
mundocani
05-19-09 04:07 PM
4.7.2
478kB
mundocani
05-08-09 01:57 PM
4.7.1
439kB
mundocani
05-08-09 10:02 AM
4.7
439kB
mundocani
05-08-09 12:49 AM
4.6.1
435kB
mundocani
05-03-09 09:54 AM
4.6
435kB
mundocani
04-30-09 08:28 PM
4.5.4
433kB
mundocani
04-28-09 12:26 PM
4.5.3
433kB
mundocani
04-20-09 01:12 PM
4.5.2
433kB
mundocani
04-14-09 04:26 PM


Post A Reply Comment Options
Unread 07-18-18, 02:53 PM  
wolfi
A Kobold Labourer

Forum posts: 1
File comments: 12
Uploads: 0
actual download, get those error

1x Outfitter\MC2EventLib.lua:88: Attempt to register unknown event "STEALTH"
[C]: in function `RegisterEvent'
Outfitter\MC2EventLib.lua:88: in function `RegisterEvent'
Outfitter\OutfitterScripting.lua:2116: in function `RegisterEvent'
Outfitter\OutfitterScripting.lua:2003: in function `ActivateScript'
Outfitter\OutfitterScripting.lua:2053: in function `ActivateAllScripts'
Outfitter\Outfitter-5.20.lua:4787: in function <Outfitter\Outfitter.lua:4522>
[C]: in function `Function'
Outfitter\MC2SchedulerLib.lua:242: in function `OnUpdate2'
Outfitter\MC2SchedulerLib.lua:178: in function `OnUpdate'
Outfitter\MC2SchedulerLib.lua:20: in function <Outfitter\MC2SchedulerLib.lua:20>

Locals:
(*temporary) = <unnamed> {
0 = <userdata>
EventLib = <table> {
}
}
(*temporary) = "STEALTH"
Report comment to moderator  
Reply With Quote
Unread 03-28-17, 07:02 PM  
mundocani
A Defias Bandit
AddOn Author - Click to view AddOns

Forum posts: 3
File comments: 433
Uploads: 7
I've posted an update which should fix it

Originally Posted by Ookami.kun
Greettings. I'm getting the following error upon logging in after the update to 7.2.

Code:
Date: 2017-03-28 16:24:11
ID: 1
Error occured in: Global
Count: 1
Message: ..\AddOns\Outfitter\Outfitter.lua line 4006:
   attempt to index local 'vTexture' (a number value)
Debug:
   (tail call): ?
   [C]: ?
   Outfitter\Outfitter.lua:4006: GetPlayerAuraStates()
   Outfitter\Outfitter.lua:4096: UpdateAuraStates()
   Outfitter\Outfitter.lua:4669: Function()
   Outfitter\MC2SchedulerLib.lua:242: OnUpdate2()
   Outfitter\MC2SchedulerLib.lua:178: OnUpdate()
   Outfitter\MC2SchedulerLib.lua:20:
      Outfitter\MC2SchedulerLib.lua:20
Locals:
(*temporary) = 0.011000000871718
(*temporary) = <function> defined =[C]:-1

AddOns:
Thanks.
Report comment to moderator  
Reply With Quote
Unread 03-28-17, 02:33 PM  
Ookami.kun
A Cliff Giant
 
Ookami.kun's Avatar

Forum posts: 75
File comments: 230
Uploads: 0
Greettings. I'm getting the following error upon logging in after the update to 7.2.

Code:
Date: 2017-03-28 16:24:11
ID: 1
Error occured in: Global
Count: 1
Message: ..\AddOns\Outfitter\Outfitter.lua line 4006:
   attempt to index local 'vTexture' (a number value)
Debug:
   (tail call): ?
   [C]: ?
   Outfitter\Outfitter.lua:4006: GetPlayerAuraStates()
   Outfitter\Outfitter.lua:4096: UpdateAuraStates()
   Outfitter\Outfitter.lua:4669: Function()
   Outfitter\MC2SchedulerLib.lua:242: OnUpdate2()
   Outfitter\MC2SchedulerLib.lua:178: OnUpdate()
   Outfitter\MC2SchedulerLib.lua:20:
      Outfitter\MC2SchedulerLib.lua:20
Locals:
(*temporary) = 0.011000000871718
(*temporary) = <function> defined =[C]:-1

AddOns:
Thanks.
__________________
Report comment to moderator  
Reply With Quote
Unread 11-20-16, 05:41 PM  
mundocani
A Defias Bandit
AddOn Author - Click to view AddOns

Forum posts: 3
File comments: 433
Uploads: 7
Re: Re: Re: Re: Re: Error in latest version

Originally Posted by SaberHawke
You are correct. I works on all of my characters except the lvl 103 Demon Hunter
Thanks, that did the trick. 5.17.3 is up now and takes care of it.
Report comment to moderator  
Reply With Quote
Unread 11-20-16, 04:49 PM  
SaberHawke
A Fallenroot Satyr
 
SaberHawke's Avatar

Forum posts: 23
File comments: 93
Uploads: 0
Re: Re: Re: Re: Error in latest version

You are correct. I works on all of my characters except the lvl 103 Demon Hunter.

Originally Posted by mundocani
Originally Posted by SaberHawke
Slightly different version of same error now.
What class is your toon and are you seeing it on other characters too? I can't repro this so I'm guessing that it's specific to a class.
Report comment to moderator  
Reply With Quote
Unread 11-20-16, 01:00 PM  
mundocani
A Defias Bandit
AddOn Author - Click to view AddOns

Forum posts: 3
File comments: 433
Uploads: 7
Re: Re: Re: Error in latest version

Originally Posted by SaberHawke
Slightly different version of same error now.
What class is your toon and are you seeing it on other characters too? I can't repro this so I'm guessing that it's specific to a class.
Report comment to moderator  
Reply With Quote
Unread 11-19-16, 10:55 PM  
SaberHawke
A Fallenroot Satyr
 
SaberHawke's Avatar

Forum posts: 23
File comments: 93
Uploads: 0
Re: Re: Error in latest version

Slightly different version of same error now.

1x Outfitter\MC2UIElementsLib.lua:1289: AddChildMenu: First parameter must be a string
[C]: in function `assert'
Outfitter\MC2UIElementsLib.lua:1289: in function `AddChildMenu'
Outfitter\Outfitter-5.17.2.lua:2109: in function `AddScriptCategorySubmenu'
Outfitter\Outfitter-5.17.2.lua:1998: in function `func'
Outfitter\MC2UIElementsLib.lua:1295: in function `AddChildMenu'
Outfitter\Outfitter-5.17.2.lua:1976: in function `AddOutfitMenu'
Outfitter\Outfitter-5.17.2.lua:2139: in function `ItemDropDownMenuFunc'
[string "*:OnLoad"]:3: in function `MenuFunc'
Outfitter\MC2UIElementsLib.lua:1447: in function `RefreshItems'
Outfitter\MC2UIElementsLib.lua:1468: in function `ToggleMenu'
Outfitter\MC2UIElementsLib.lua:1414: in function <Outfitter\MC2UIElementsLib.lua:1413>

Locals:
(*temporary) = false
(*temporary) = "AddChildMenu: First parameter must be a string"



Originally Posted by mundocani
I've uploaded a fix, should be good now

Originally Posted by SaberHawke
Just installed the latest version and I get the following error upon clicking on the + next to outfits.

1x Outfitter\MC2UIElementsLib.lua:1289: AddChildMenu: First parameter must be a string
[C]: in function `assert'
Outfitter\MC2UIElementsLib.lua:1289: in function `AddChildMenu'
Outfitter\Outfitter-5.17.1.lua:2109: in function `AddScriptCategorySubmenu'
Outfitter\Outfitter-5.17.1.lua:1998: in function `func'
Outfitter\MC2UIElementsLib.lua:1295: in function `AddChildMenu'
Outfitter\Outfitter-5.17.1.lua:1976: in function `AddOutfitMenu'
Outfitter\Outfitter-5.17.1.lua:2138: in function `ItemDropDownMenuFunc'
[string "*:OnLoad"]:3: in function `MenuFunc'
Outfitter\MC2UIElementsLib.lua:1447: in function `RefreshItems'
Outfitter\MC2UIElementsLib.lua:1468: in function `ToggleMenu'
Outfitter\MC2UIElementsLib.lua:1414: in function <Outfitter\MC2UIElementsLib.lua:1413>

Locals:
(*temporary) = false
(*temporary) = "AddChildMenu: First parameter must be a string"
Report comment to moderator  
Reply With Quote
Unread 11-19-16, 02:27 PM  
mundocani
A Defias Bandit
AddOn Author - Click to view AddOns

Forum posts: 3
File comments: 433
Uploads: 7
Re: Error in latest version

I've uploaded a fix, should be good now

Originally Posted by SaberHawke
Just installed the latest version and I get the following error upon clicking on the + next to outfits.

1x Outfitter\MC2UIElementsLib.lua:1289: AddChildMenu: First parameter must be a string
[C]: in function `assert'
Outfitter\MC2UIElementsLib.lua:1289: in function `AddChildMenu'
Outfitter\Outfitter-5.17.1.lua:2109: in function `AddScriptCategorySubmenu'
Outfitter\Outfitter-5.17.1.lua:1998: in function `func'
Outfitter\MC2UIElementsLib.lua:1295: in function `AddChildMenu'
Outfitter\Outfitter-5.17.1.lua:1976: in function `AddOutfitMenu'
Outfitter\Outfitter-5.17.1.lua:2138: in function `ItemDropDownMenuFunc'
[string "*:OnLoad"]:3: in function `MenuFunc'
Outfitter\MC2UIElementsLib.lua:1447: in function `RefreshItems'
Outfitter\MC2UIElementsLib.lua:1468: in function `ToggleMenu'
Outfitter\MC2UIElementsLib.lua:1414: in function <Outfitter\MC2UIElementsLib.lua:1413>

Locals:
(*temporary) = false
(*temporary) = "AddChildMenu: First parameter must be a string"
Report comment to moderator  
Reply With Quote
Unread 11-18-16, 09:51 PM  
SaberHawke
A Fallenroot Satyr
 
SaberHawke's Avatar

Forum posts: 23
File comments: 93
Uploads: 0
Error in latest version

Just installed the latest version and I get the following error upon clicking on the + next to outfits.

1x Outfitter\MC2UIElementsLib.lua:1289: AddChildMenu: First parameter must be a string
[C]: in function `assert'
Outfitter\MC2UIElementsLib.lua:1289: in function `AddChildMenu'
Outfitter\Outfitter-5.17.1.lua:2109: in function `AddScriptCategorySubmenu'
Outfitter\Outfitter-5.17.1.lua:1998: in function `func'
Outfitter\MC2UIElementsLib.lua:1295: in function `AddChildMenu'
Outfitter\Outfitter-5.17.1.lua:1976: in function `AddOutfitMenu'
Outfitter\Outfitter-5.17.1.lua:2138: in function `ItemDropDownMenuFunc'
[string "*:OnLoad"]:3: in function `MenuFunc'
Outfitter\MC2UIElementsLib.lua:1447: in function `RefreshItems'
Outfitter\MC2UIElementsLib.lua:1468: in function `ToggleMenu'
Outfitter\MC2UIElementsLib.lua:1414: in function <Outfitter\MC2UIElementsLib.lua:1413>

Locals:
(*temporary) = false
(*temporary) = "AddChildMenu: First parameter must be a string"
Last edited by SaberHawke : 11-19-16 at 02:22 PM.
Report comment to moderator  
Reply With Quote
Unread 09-07-16, 12:09 PM  
tkalfaoglu
A Kobold Labourer

Forum posts: 0
File comments: 1
Uploads: 0
How to use it?

I just installed this addon. I find NO information anywhere on how to use it!
Is there a tutorial somewhere?
Many thanks, tk
Report comment to moderator  
Reply With Quote
Unread 07-20-16, 06:10 PM  
Ookami.kun
A Cliff Giant
 
Ookami.kun's Avatar

Forum posts: 75
File comments: 230
Uploads: 0
Just logged in with the new version and after going to my bank and opening my bags I get the following error. Thanks.

Code:
Date: 2016-07-20 20:04:30
ID: 9
Error occured in: Global
Count: 1
Message: ..\AddOns\Outfitter\Outfitter.lua line 8216:
   Usage: OutfitterCompareTooltip1TextLeft30:SetPoint("point" [, region or nil] [, "relativePoint"] [, offsetX, offsetY])
Debug:
   [C]: SetPoint()
   Outfitter\Outfitter.lua:8216: AddShoppingLink()
   Outfitter\Outfitter.lua:8118: ShowCompareItem()
   Outfitter\Outfitter.lua:7984:
      Outfitter\Outfitter.lua:7982
   [C]: GameTooltip_ShowCompareItem()
   [string "*:OnTooltipSetItem"]:3:
      [string "*:OnTooltipSetItem"]:1
   (tail call): ?
   [C]: ?
   [C]: ?
   [C]: ?
   [C]: ?
   [C]: ?
   [C]: ?
   [C]: ?
   [C]: Outfitter_OrigSetInventoryItem()
   Outfitter\Outfitter.lua:7422: SetInventoryItem()
   ..\FrameXML\BankFrame.lua:43: UpdateTooltip()
   ..\FrameXML\GameTooltip.lua:243:
      ..\FrameXML\GameTooltip.lua:227
   (tail call): ?
Locals:
(*temporary) = OutfitterCompareTooltip1TextLeft30 {
 0 = <userdata>
}
(*temporary) = nil
(*temporary) = nil
(*temporary) = nil
(*temporary) = 0
(*temporary) = nil

AddOns:
__________________
Report comment to moderator  
Reply With Quote
Unread 06-07-16, 11:30 PM  
alcaras
A Murloc Raider
 
alcaras's Avatar
AddOn Author - Click to view AddOns

Forum posts: 7
File comments: 60
Uploads: 7
Any version of Outfitter for Legion Beta?
Report comment to moderator  
Reply With Quote
Unread 01-19-15, 02:13 PM  
mundocani
A Defias Bandit
AddOn Author - Click to view AddOns

Forum posts: 3
File comments: 433
Uploads: 7
Re: Safari Hat

Originally Posted by Xylan Trueheart
Anyone know how to or know of a script for applying the Safari Hat buff? Thanks in advance.
Because the hat is now an item you have to use, it can no longer be automated, just like spells or potions.
Report comment to moderator  
Reply With Quote
Unread 01-05-15, 10:01 AM  
Xylan Trueheart
Premium Member
Premium Member

Forum posts: 64
File comments: 166
Uploads: 0
Safari Hat

Anyone know how to or know of a script for applying the Safari Hat buff? Thanks in advance.
Report comment to moderator  
Reply With Quote
Unread 12-06-14, 09:51 AM  
Stavmar
A Kobold Labourer

Forum posts: 1
File comments: 35
Uploads: 0
I get the following error all the time...

Code:
Message: [string "Script for PvE - Aff/Destro"]:15: attempt to index a nil value
Time: 12/06/14 09:46:35
Count: 1
Stack: [C]: ?
[string "Script for PvE - Aff/Destro"]:15: in function `Function'
Interface\AddOns\Outfitter\MC2EventLib.lua:41: in function `DispatchEvent'
Interface\AddOns\Outfitter\MC2EventLib.lua:162: in function <Interface\AddOns\Outfitter\MC2EventLib.lua:159>

Locals:
Not when I log in but rather when i mount or apparently when the outfitter mod is working. In addition when i go to set up a REBUILD FOR outfit i see nothing in the drop down menus to select from. I can add additional rows but I cannot dictate the characteristic I want to use it with because the drop downs are not working. Any thoughts?

As an FYI i do use ElkUI and am not interested in not using it, so i thought I would ask to see if others using ElkUI had similar problems?

Thanks for keeping up to date a mod i have been using since BC and hope to continue using in the future.

-Stav
Report comment to moderator  
Reply With Quote
Post A Reply



Category Jump:

Support AddOn Development!

You have just downloaded by the author . If you like this AddOn why not consider supporting the author? This author has set up a donation account. Donations ensure that authors can continue to develop useful tools for everyone.